<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
    <th:block th:include="include :: header('货位库存表')"/>
    <link th:href="@{/ruoyi/css/ry-ui-custom.css?v=4.7.3}" rel="stylesheet"/>
</head>
<body class="gray-bg">
<div class="container-div">
    <div class="row" style="height: auto !important;">
        <div class="col-sm-12 pr0 pl0 shadow">
            <div class="ibox float-e-margins ">
                <div class="ibox-title">
                    <div class="col-sm-10  pl0 pr0">
                        <h8>货位库存表</h8>
                    </div>
                </div>
                <div class="ibox-content ibox-content-1" style="margin: 0; height: 200px">
                    <div class="btn-group-sm" id="toolbar" role="group">
                        <form id="formId">
                            <div class="select-list">
                                <ul>
                                    <li>
                                        <label>缓存位：</label>
                                        <input type="text" name="areaCode"/>
                                    </li>
                                    <li>
                                        <a class="btn btn-primary btn-rounded btn-sm"
                                           onclick="$.table.search('formId')"><i
                                                class="fa fa-search"></i>&nbsp;搜索</a>
                                        <a class="btn btn-warning btn-rounded btn-sm"
                                           onclick="$.form.reset('formId')"><i
                                                class="fa fa-refresh"></i>&nbsp;重置</a>
                                    </li>
                                </ul>
                            </div>
                        </form>
                    </div>
                    <div class="col-sm-12 select-table table-striped">
                        <table id="bootstrap-table"></table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<th:block th:include="include :: footer"/>
<script th:inline="javascript">
    var prefix = ctx + "business/emptyCtl";

    /**
     * 表格初始化
     */
    $(function () {
        var options = {
            url: prefix + "/list",
            modalName: "缓存位表",
            showSearch: false,
            showToggle: false,
            showRefresh: false,
            showColumns: true,
            search: false,
            columns: [
                {
                    field: 'areaCode',
                    title: '缓存位',
                },
                {
                    field: 'isLoad',
                    title: '是否有载',
                },
                {
                    field: 'lastCtl',
                    title: '托盘号',
                },
                {
                    field: 'updateTime',
                    title: '更新时间',
                },
                {
                    title: '入空托',
                    formatter: function (value, row, index) {
                        var actions = [];
                        actions.push('<button id="inEmptyCtl" class="btn btn-warning btn-xs" onclick="inEmptyCtl(\'' + row.areaCode + '\')">入空托</button>');
                        return actions.join('');
                    },
                    align: 'center'
                },
                {
                    title: '呼叫空托',
                    formatter: function (value, row, index) {
                        var actions = [];
                        actions.push('<button id="outEmptyCtl" class="btn btn-warning btn-xs" onclick="outEmptyCtl(\'' + row.areaCode + '\')">呼叫空托</button>');
                        return actions.join('');
                    },
                    align: 'center'
                }
            ]
        };
        $.table.init(options);
    });

    /**
     * 缓存位至月台
     * @param areaCode
     */
    function outEmptyCtl(areaCode) {
        const requestData = {
            "areaCode": areaCode
        }
        $.ajax({
            type: "post",
            url: prefix + "/outEmptyCtl",
            data: requestData,
            success: function (data) {
                if (data.code == 0) {
                    $.modal.msgSuccess(data.msg)
                } else {
                    $.modal.msgError(data.msg)
                }
                $.table.search('formId');
            },
            error: function () {
                $.modal.msgError('发生异常')
                $.table.search('formId');
            }
        });
    }

    /**
     * 空托->缓存位
     */
    function inEmptyCtl(areaCode) {
        var options = {
            width: '400',
            height: '350',
            title: '选择新库位',
            url: prefix + "/emptyCtlInputModal/" + areaCode,
            callBack: doSubmit
        };
        $.modal.openOptions(options);
    }

    function doSubmit(index, layero){
        var body = $.modal.getChildFrame(index);
        var areaCode = body.find('#areaCode').val();
        var lastCtl = body.find("#ctl").val();
        const requestData = {
            "areaCode": areaCode,
            "lastCtl": lastCtl
        }
        $.ajax({
            type: "post",
            url: prefix + "/inEmptyCtl",
            data: requestData,
            success: function (data) {
                if (data.code == 0) {
                    $.modal.msgSuccess(data.msg)
                } else {
                    $.modal.msgError(data.msg)
                }
                $.table.search('formId');
            },
            error: function () {
                $.modal.msgError('发生异常')
                $.table.search('formId');
            }
        });
        $.modal.close(index);
    }
</script>
</body>
</html>
<style>
    .inner_row_style {
        margin-left: 0px;
        margin-right: 0px;
        padding-top: 5px;
    }
</style>